Subject: Re: [netmod] notifications...and yang-next

From: Kent Watsen <[email-masked]>
Date: Thu, 26 Jan 2017 01:52:34 +0000

The NETCONF and NETMOD chairs are actively discussing how we might move content around between drafts maintained by the two groups.  Resolving this notification statement issue is part of that.  Here are some of my thoughts about this:

1) I think that YANG is primarily used to define the notification's data tree, the payload, which may be wrapped by a protocol-specific envelop that includes, for instance, a timestamp.  This being the case, I'm hoping that there isn't much to do here. 

2) Yes, RFC 7950 references RFC 5277, but note that it does so only in a section called "NETCONF XML Encoding Rules".  It is my hope that we will move all such sections out in the next revision RFC 7950 (see https://github.com/netmod-wg/yang-next/issues/11)

3) Above and beyond the notification statement issue, Lada also notes that RFC 7950 Section 3 references RFC 6241 for some terms.  I believe that, in order to remove these normative references to 6241, these terms should be moved to the revised-datastore draft (see https://github.com/netmod-wg/yang-next/issues/12).

Thoughts?

Kent // mostly as a contributor